please update libsvn-java to 1.7+

Asked by Hongwei on 2011-12-11

current subclipse need 1.7+ libsvn-java, I am developing on Ubuntu 10.10 64bit and this blocks me. I searched on the web, many people hit the same issue, will you update this. current version is 1.6.6.

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu subversion Edit question
Assignee:
No assignee Edit question
Last query:
2011-12-12
Last reply:
2011-12-20

Oracle changed the Java license so it is not possible to package Java 1.7

You can use this however:

cd
wget http://download.oracle.com/otn-pub/java/jdk/7/jdk-7-linux-i586.tar.gz
sudo apt-get -y install unp
unp ./jdk-7-linux-i586.tar.gz
rm ./jdk-7-linux-i586.tar.gz
sudo mkdir /usr/lib/jvm
cd /usr/lib/jvm
sudo mv ./jdk1.7.0 .
tar zxvf ./jdk-7-linux-i586.tar.gz
rm ./jre-7u1-linux-i586.tar.gz
sudo update-alternatives --install /usr/bin/java java /usr/lib/jvm/jdk1.7.0/bin/java 71
sudo update-alternatives --config java
cd /usr/lib/chromium-browser/plugins
sudo ln -s /usr/lib/jvm/jdk1.7.0/lib/i386/libnpjp2.so .

Hongwei (jackieict) said : #2

Thanks for you reply. Something I want to clarify is that I need
libsvn-java 1.7, not jdk 7. Or you think jdk7 can solve my issue? If yes,
please see my comments below.

cd
wget http://download.oracle.com/otn-pub/java/jdk/7/jdk-7-linux-i586.tar.gz
sudo apt-get -y install unp
unp ./jdk-7-linux-i586.tar.gz
rm ./jdk-7-linux-i586.tar.gz
sudo mkdir /usr/lib/jvm
cd /usr/lib/jvm
sudo mv ./jdk1.7.0 .
tar zxvf ./jdk-7-linux-i586.tar.gz <------------------------------ what's
difference between this and unp "./jdk-7-linux-i586.tag.gz"
rm ./jre-7u1-linux-i586.tar.gz <------------------------------where to
find this file, I can not find this file after "tar zxvf
./jdk-7-linux-i586.tar.gz"
sudo update-alternatives --install /usr/bin/java java
/usr/lib/jvm/jdk1.7.0/bin/java 71
sudo update-alternatives --config java
<------------------------------ this prompt "There is only one alternative
in link group java: /usr/lib/jvm/jdk1.7.0/bin/java Nothing to configure."
cd /usr/lib/chromium-browser/plugins
<------------------------------ There is no this folder
sudo ln -s /usr/lib/jvm/jdk1.7.0/lib/i386/libnpjp2.so .

>
> Thanks.

2011/12/11 actionparsnip <email address hidden>

> Your question #181545 on Ubuntu changed:
> https://answers.launchpad.net/ubuntu/+question/181545
>
> Status: Open => Answered
>
> actionparsnip proposed the following answer:
> Oracle changed the Java license so it is not possible to package Java
> 1.7
>
> You can use this however:
>
> cd
> wget http://download.oracle.com/otn-pub/java/jdk/7/jdk-7-linux-i586.tar.gz
> sudo apt-get -y install unp
> unp ./jdk-7-linux-i586.tar.gz
> rm ./jdk-7-linux-i586.tar.gz
> sudo mkdir /usr/lib/jvm
> cd /usr/lib/jvm
> sudo mv ./jdk1.7.0 .
> tar zxvf ./jdk-7-linux-i586.tar.gz <------------------------------ what's
> difference between this and unp "./jdk-7-linux-i586.tag.gz"
> rm ./jre-7u1-linux-i586.tar.gz <------------------------------where
> to find this file, I can not find this file after "tar zxvf
> ./jdk-7-linux-i586.tar.gz"
> sudo update-alternatives --install /usr/bin/java java
> /usr/lib/jvm/jdk1.7.0/bin/java 71
> sudo update-alternatives --config java
> <------------------------------ this prompt "There is only one alternative
> in link group java: /usr/lib/jvm/jdk1.7.0/bin/java Nothing to configure."
> cd /usr/lib/chromium-browser/plugins
> <------------------------------ There is no this folder
> sudo ln -s /usr/lib/jvm/jdk1.7.0/lib/i386/libnpjp2.so .
>
> --
> If this answers your question, please go to the following page to let us
> know that it is solved:
> https://answers.launchpad.net/ubuntu/+question/181545/+confirm?answer_id=0
>
> If you still need help, you can reply to this email or go to the
> following page to enter your feedback:
> https://answers.launchpad.net/ubuntu/+question/181545
>
> You received this question notification because you asked the question.
>

unp is a one stop shop for all compressed files. Think about all the syntaxes:

zip = unzip filename.zip
tar.gz = tar zxvf filename.tag.gz
tar.bz2 = tar jxvf failename.tar.bz2
rar = rar x filename.rar
7zip = 7z x filename.7z

and so on, why bother when you can use:

zip = unp filename.zip
tar.gz = unp filename.tag.gz
tar.bz2 = unp failename.tar.bz2
rar = unp filename.rar
7zip = unp filename.7z

It's great

You will need to run:

sudo update-alternatives --install /usr/bin/java java /usr/lib/jvm/jdk1.7.0/jre/bin/java 3

After you copy the folder over, missed that bit. I'll update my script

Hongwei (jackieict) said : #5

rm ./jre-7u1-linux-i586.tar.gz <------------------------------where to find this file, I can not find this file after "tar zxvf ./jdk-7-linux-i586.tar.gz"

sudo update-alternatives --config java <------------------------------ this prompt "There is only one alternative in link group java: /usr/lib/jvm/jdk1.7.0/bin/java Nothing to configure."
cd /usr/lib/chromium-browser/plugins <------------------------------ There is no this folder

Can you explain these 3 steps? If you have a final steps which you make sure work, Please share it.

thanks.

If you run the commands in sequence, it is all handled for you.

I use chromium daily build, you can substitute that for your browsers plugins directory

Hongwei (jackieict) said : #7

I need libsvn-java 1.7, not JDK 1.7. I do not understand why this guy told me about JDK installation. Maybe I missed something. But anyway I will close this question even it is not answered. If you hit the same issue, please do not follow it.

matyas (albertmatyi) said : #8

Install svn from WANdisco - worked for me.
Small explanation with solution: http://is.gd/pMCcJI

Script to run (found in the post above too), which will install the svn and libsvn 1.7
http://pastebin.com/H7YjU1c3

It worked for me

Can you help with this problem?

Provide an answer of your own, or ask Hongwei for more information if necessary.

To post a message you must log in.